<?php

/**
 * @package Module OneDesk for Joomla! 3.x
 * @version $Id: mod_onedesk.php 2021-04-09 OneDesk $
 * @author OneDesk Software Inc.
 * @copyright (C) 2021 OneDesk
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 * @description Add the OneDesk Widget for easy access to OneDesk from any page on your website
 **/

/*
Module OneDesk : Add the OneDesk Widget for easy access to OneDesk from any page on your website.
    Copyright (C) 2021  OneDesk Software Inc.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

// No direct access
defined('_JEXEC') or die;

$uri = $params->get('uri');
$origin = $params->get('origin');
$x_pos = $params->get('x_pos');
$y_pos = $params->get('y_pos');
$open_color = $params->get('open_color');
$close_color = $params->get('close_color');

if (strcmp($x_pos, '') === 0)
    $x_pos = '50';

if (strcmp($y_pos, '') === 0)
    $y_pos = '50';

if (strcmp($open_color, '') === 0)
    $open_color = '#25aed8';

if (strcmp($close_color, '') === 0)
    $close_color = '#25aed8';

if (strcmp($uri, '') !== 0)
    echo '<script type="text/javascript" ' .
        'src="https://app.onedesk.com/odWidget/assets/js/od-com-widget.js" ' .
        'org-name="'. $uri. '" ' .
        'url="https://app.onedesk.com/odWidget" ' .
        'origin="'. $origin. '"' .
        'x="'. $x_pos. '"' .
        'y="'. $y_pos. '"' .
        'open-color="'. $open_color. '"' .
        'close-color="'. $close_color. '"></script>';
